Get single OAuth client details.
curl --request GET \
--url https://{tenant}/api/apis/oauth/{apiId}/{clientId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}/api/apis/oauth/{apiId}/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}/api/apis/oauth/{apiId}/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_id": "2a06b398c17f46908de3dffcb71ef87d",
"client_name": "",
"dcr_registration": {
"access_token": "",
"client_uri": "",
"provider": ""
},
"description": "google client",
"meta_data": {
"user_id": "362b3fb9a1d5e4f00017226f5"
},
"policy_id": "665d51505715ec2d76022c87",
"redirect_uri": "https://httpbin.org/ip",
"secret": "MmQwNTI5NGQtYjU0YS00NjMyLWIwZjktNTZjY2M1ZjhjYWY0"
}{
"Message": "API reference not found.",
"Meta": null,
"Status": "Error"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "You don't have access to this.",
"Meta": null,
"Status": "Error"
}{
"Message": "Could not retrieve app detail.",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to unmarshal app data from Tyk API.",
"Meta": null,
"Status": "Error"
}Oauth
Get single OAuth client details.
Get single OAuth client details with its client ID.
GET
/
api
/
apis
/
oauth
/
{apiId}
/
{clientId}
Get single OAuth client details.
Authorizations
The Tyk Dashboard API Access Credentials
Was this page helpful?
⌘I